> For the complete documentation index, see [llms.txt](https://docs.waldo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.waldo.ai/api-reference/get-customer.md).

# Get Customer

## Retrieve a customer

<mark style="color:blue;">`GET`</mark> `https://api.waldo.ai/customer?email=`<raych@example.com>

#### Query Parameters

| Name               | Type   | Description                                                                                                                                                |
| ------------------ | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| \<customer\_field> | String | <p><code>\<customer\_field></code> should be one or more of the following: </p><p><code>customerId, email, officialId, zipCode, dob, externalId</code></p> |

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | The token in the format `Bearer eyJhbG...` |
| Content-Type<mark style="color:red;">\*</mark>  | String | Expected type is `application/json`        |

#### Response

{% tabs %}
{% tab title="200: OK A list of customers found" %}

```json
{
  "customers": [
    {
      "createdAt": 1695892771782,
      "firstName": "Raych",
      "lastName": "Foss",
      "officialId": {
        "docType": "SSN",
        "value": "123-45-6789",
        "country": "US"
      },
      "dob": "1985-04-24",
      "address": "Trantor Blvd. 73",
      "email": "raych@example.com",
      "phone": "(123) 456-7890",
      "zipCode": "00001",
      "state": "IL",
      "ipAddress": {
        "valid": true,
        "value": "12.34.56.78"
      },
      "evaluation": {
        "type": "idle",
        "status": "idle"
      },
      "validation": {
        "status": "APPROVED",
        "kyc": "REJECTED",
        "fraudScore": 0.82,
        "fraudReport": false,
        "fraudCheck": false,
        "warningTags": {
          "ssn": {
            "label": "SSN Integrity",
            "passed": true
          },
          "date_of_birth": {
            "label": "Date of Birth Integrity",
            "passed": true
          },
          "address": {
            "label": "Address Integrity",
            "passed": true
          },
          "legal_and_regulatory_warnings": {
            "label": "Legal and Regulatory Warnings",
            "passed": false
          },
          "politically_exposed_person": {
            "label": "Politically Exposed Person",
            "passed": false
          },
          "sanction": {
            "label": "Sanctions List",
            "passed": true
          }
        },
        "kycBreakdown": {
          "identityBreakdown": {},
          "watchlistBreakdown": {
            "matches": [
              {
                "name": "Raych V. Foss",
                "entity": "United States Individuals Barred by FINRA",
                "entityUrl": "https://www.finra.org/rules-guidance/oversight-Oversight%20%26%20Enforcement/individuals-barred-finra",
                "type": "warning"
              },
              {
                "name": "Raych M. Foss",
                "entity": "United States Missouri House of Representatives",
                "entityUrl": "https://house.mo.gov/MemberRoster.aspx",
                "matchUrl": "https://house.mo.gov/MemberDetails.aspx?code=R&district=0&year=2024",
                "type": "pep"
              }
            ]
          }
        }
      },
      "externalId": "abcd-123-456-efgh",
      "customerId": "6515452382d40426aa45989a",
      "uri": "https://app.waldo.ai/customers/6515452382d40426aa45989a"
    }
  ]
}
```

{% endtab %}

{% tab title="403: Forbidden Missing authorization header" %}

```json
{
  "code": "NOT_AUTHORIZED",
  "message": "Not authorized."
}
```

{% endtab %}

{% tab title="401: Unauthorized Invalid token or expired" %}

```json
{
  "code": "INVALID_TOKEN",
  "message": "Invalid token."
}
```

{% endtab %}

{% tab title="403: Forbidden Service not authorized" %}

```json
{
  "code": "NOT_AUTHORIZED",
  "message": "You are not authorized to perform this action. Please contact support for assistance."
}
```

{% endtab %}

{% tab title="403: Forbidden Inactive API key" %}

```json
{
  "code": "API_KEY_REVOKED",
  "message": "This API key has been revoked. Please visit the Waldo AI dashboard to review your API key."
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Make sure to verify the evaluation status.\
Look for the evaluation property. A completed evaluation should be:

```json
"evaluation": {
    "type": "idle",
    "status": "idle"
}
```

{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.waldo.ai/api-reference/get-customer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
